Summary:	Note-taking application
Name:		gnote
Version:	0.6.3
Release:	%mkrel 1
Group:		Graphical desktop/GNOME
License:	GPLv3 
URL:		http://live.gnome.org/Gnote
BuildRequires: boost-devel
%if %mdvver >= 201000
BuildRequires: libuuid-devel
%else
BuildRequires: libext2fs-devel
%endif
BuildRequires: libxslt-devel
BuildRequires: gtkspell-devel
BuildRequires: libpanelappletmm-devel
BuildRequires: dbus-glib-devel
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: desktop-file-utils
Source0:       http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Gnote is a simple desktop note-taking application for GNOME. 
Easy to use, but with potential to help you organize the ideas and
information you deal with every day. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

This is a clone of Tomboy, in C++.

%prep
%setup -q

%build

%configure2_5x --with-gnu-ld --disable-schemas-install
%make

%install
%makeinstall_std
%find_lang %{name}

desktop-file-install --vendor="" \
  --remove-only-show-in="GNOME" \
  --remove-only-show-in="XFCE" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%check
make check

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%_mandir/man1/%{name}.1.lzma
%_bindir/%{name}
%_libdir/%{name}
%_datadir/gnome/help/%{name}/
%_datadir/%{name}/
%_datadir/omf/%{name}/
%_sysconfdir/gconf/schemas/%{name}.schemas
%{_datadir}/applications/*
%_iconsdir/hicolor/*/apps/*.png
%_iconsdir/hicolor/*/apps/*.svg
%_libexecdir/gnote-applet
%_libdir/bonobo/servers/GNOME_GnoteApplet.server


%changelog
* Sat Nov 28 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2010.1
+ Revision: 470854
- new version

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.6.2-2mdv2010.0
+ Revision: 418879
- rebuild for new libboost

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2010.0
+ Revision: 415766
- update to new version 0.6.2
- fix build deps for backports

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.6.1-2mdv2010.0
+ Revision: 409061
- Updated buildrequires for libuuid.

* Sat Aug 01 2009 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 405331
- new version 0.6.1

* Thu Jul 30 2009 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2010.0
+ Revision: 404487
- update to new version 0.6.0

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdv2010.0
+ Revision: 396179
- update to new version 0.5.3

* Wed Jul 01 2009 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 391330
- update to new version 0.5.2
- enable checks

* Fri Jun 26 2009 Götz Waschk <waschk@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 389361
- make it appear in KDE menu as well
- spec fixes

* Thu Jun 25 2009 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 388907
- update to new version 0.5.1
- update build deps

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 386561
- new version
- fix build deps
- fix source URL
- update file list

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Updated to 0.4.0

  + Michael Scherer <misc@mandriva.org>
    - Add BuildRequires
    - add Summary, Group, License and description
    - import gnote


